Bug 1937683 - Wrong icon classification of output in buildConfig when the destination is a DockerImage
Summary: Wrong icon classification of output in buildConfig when the destination is a ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-11 10:32 UTC by Sergio G.
Modified: 2021-07-27 22:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:52:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
view of the buildConfig (64.11 KB, image/png)
2021-03-11 10:32 UTC, Sergio G.
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8368 0 None open Bug 1937683: Show plane image destination of output in buildConfig when the destination is a DockerImage 2021-03-11 11:51:52 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:53:08 UTC

Description Sergio G. 2021-03-11 10:32:30 UTC
Created attachment 1762600 [details]
view of the buildConfig

Description of problem:
When using a DockerImage as the output of a buildConfig, it's shown as IST icon in the buildConfig page. See attachment.


Version-Release number of selected component (if applicable):
4.7


How reproducible:
Always


Steps to Reproduce:
1. Create a buildConfig which as a DockerImage as an ouput:
cat <<EOF | oc apply -f -
apiVersion: build.openshift.io/v1
kind: BuildConfig
metadata:
  name: nodejs-echo
spec:
  output:
    pushSecret:
      name: sgarcia-push-secret
    to:
      kind: DockerImage
      name: quay.io/soukron/nodejs-echo:latest
  source:
    git:
      uri: https://github.com/soukron/nodejs-echo
    type: Git
  strategy:
    sourceStrategy:
      from:
        kind: ImageStreamTag
        name: nodejs:12-ubi8
        namespace: openshift
    type: Source
EOF

2. Access to buildConfig page in web console


Actual results:
See attachment: the output is shown as a IST, which is wrong.


Expected results:
Not sure about the expected result, but the output is not IST so that should go away.

Additional info:

Comment 1 Jakub Hadvig 2021-03-11 11:22:21 UTC
Sergio thanks for noticing this bug. In this case console should behave similarly as the `Git repository` field above it and just render the DockerImage location name.

Comment 3 Yanping Zhang 2021-03-15 12:19:15 UTC
Checked on ocp 4.8 cluster with payload 4.8.0-0.nightly-2021-03-14-134919.
Create a buildConfig which has a DockerImage as an ouput(using yaml file from bug description), check on the bc detail page, in the "Output to" field, there is no "IST" icon now.
The bug is fixed.

Comment 6 errata-xmlrpc 2021-07-27 22:52:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.